Skip to content

Get or create Stripe customer and optionally create checkout session

POST
/billing
object
messagePriceId

Price ID for the message tier (EMAIL, INAPP_WEB, WEB_PUSH, PUSH, SLACK)

string
budgetPriceId

Price ID for the budget tier (SMS, CALL)

string
successUrl
required
string
cancelUrl
required
string

Successful response

POST /billing response: organization usage limits + optional Checkout session.

object
organizationId
required
string
organizationType
required
string
Allowed values: free paid
creator
required
string
name
required
string
messagesCap
required
number
costCap
required
number
smsCap
number
callCap
number
anniversaryDate
required

ISO date (YYYY-MM-DD) when the billing cycle resets.

string
allowOverage
required
boolean
createdAt
required
string
updatedAt
required
string
sessionId
string
url
string

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string